# Makefile MAKEFILE_unix_trimsp.
#
# 17-Jun-2002 TP, use standard f77 code; use
#             ranlux random number generator of the CERN mathlib
#
# 4-Feb-2013 ZS, clean up makefile and include random number
#            generator in the code. Use gfortran which is now
#            a standard part of gcc in moder systems.
#

FC = gfortran
DEBUG = # -g -O -fbacktrace -ffpe-trap='underflow'
WARN = # -Wall -Wextra
DIALECT = -std=gnu
prefix = /usr/local
# OPS = -c $(DIALECT) $(WARN) $(DEBUG)
FCFLAGS = $(DIALECT) $(WARN) $(DEBUG) -O3 -mcmodel=medium

all : trimspNL

trimspNL : trimspNL.F
	$(FC) $(FCFLAGS) -o $@ $<

clean:
	rm -f *.o *~ \#* .#* trimspNL

install:
	mv trimspNL $(prefix)/bin/.

trimspNL-static : trimspNL.F
	$(FC) $(FCFLAGS) -static -o $@ $<

